Unit tmnr5r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FGMNR5R_p, FMNR5R_p, MNR5R_p;

function tmnr5r: String;

implementation

function tmnr5r: String;
var
N,M,DA,IERR,LA,_i :Integer;
F :Real;
IRM1 :Array [0..7] of Integer;
IRM :Array [0..15] of Integer;
G :Array [0..3] of Real;
RM :Array [0..57] of Real;
const
IO :Array [0..3] of Integer = ( 1,1,1,1 );
X :Array [0..3] of Real = ( 5.0,0.1,1.0,1.0 );
GE :Array [0..3] of Real = ( 1.E-6,1.E-6,1.E-6,1.E-6 );
XE :Array [0..3] of Real = ( 0.1E-10,0.1E-10,0.1E-10,0.1E-10 );
A :Array [0..3] of Real = ( 1.E-6,1.E-6,1.E-6,1.E-6 );
B :Array [0..3] of Real = ( 5.0,5.0,5.0,5.0 );
B1 :Array [0..3] of Real = ( 5.0,2.0,0.0,0.0 );
T :Array [0..3] of Real = ( 2.0,2.0,1.0,1.0 );
FE :Real = 0.1E-6;
UP :Array [0..3] of Real = ( 100.0,3.0,2.0,1.0E-12 );
A1 :Array [0..5] of Real = ( 1.0,0.5,3.0,2.0,-1.0,-1.0 );
NS :Array [0..5] of Integer = ( 1,2,1,2,1,2 );
begin
Result := '';  {   }
LA := 6;
M := 4;
N := 4;
RM[0] := 20;
MNR5R(N,M,X,XE,IO,A,B,B1,LA,A1,NS,T,FMNR5R,F,FE,FGMNR5R,
     G,GE,UP,RM,IRM,IRM1,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%2d ',[IERR]);
Result := Result + Format('%s',['  RM(2)=']);
Result := Result + Format('%20.16f ',[RM[1]]);
Result := Result + Format('%s',['  RM(3)=']);
Result := Result + Format('%20.16f ',[RM[2]]);
Result := Result + Format('%s',[' F=']);
Result := Result + Format('%20.16f ',[F]);
Result := Result + Format('%s',[' MACCB X  ']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['  RM(1)=']);
Result := Result + Format('%20.16f ',[RM[0]]) + #$0D#$0A;
UtRes('tmnr5r',Result);  {     tmnr5r.res }
exit;
end;

end.
